PrefabFiles = {
	"lmm","mcake","mgunpowder","msugar"
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/lmm.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/lmm.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/lmm.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/lmm.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/lmm_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/lmm_silho.xml" ),

    Asset( "IMAGE", "bigportraits/lmm.tex" ),
    Asset( "ATLAS", "bigportraits/lmm.xml" ),

	Asset("IMAGE", "images/lmmminimap.tex"),
	Asset("ATLAS", "images/lmmminimap.xml"),
	
	Asset("IMAGE", "images/inventoryimages/mcake.tex"),
	Asset("ATLAS", "images/inventoryimages/mcake.xml"),

	Asset("IMAGE", "images/inventoryimages/mgunpowder.tex"),
	Asset("ATLAS", "images/inventoryimages/mgunpowder.xml"),
	
	Asset("IMAGE", "images/inventoryimages/msugar.tex"),
	Asset("ATLAS", "images/inventoryimages/msugar.xml"),
}

-- add minimap atlas
AddMinimapAtlas("images/lmmminimap.xml")

-- strings! Any "WOD" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.lmm = "Little Maid"
GLOBAL.STRINGS.CHARACTER_NAMES.lmm = "lmm"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.lmm = "*she like sweets.\n*she hate hats.\n*slowly consume foods."
GLOBAL.STRINGS.CHARACTER_QUOTES.lmm = "\"Give me sugar!\""

-- mcake

local mcakerecipe = GLOBAL.Recipe("mcake",{GLOBAL.Ingredient("honey", 4),GLOBAL.Ingredient("berries", 2),GLOBAL.Ingredient("bird_egg", 1),GLOBAL.Ingredient("butter", 1)},GLOBAL.RECIPETABS.FARM,GLOBAL.TECH.NONE)
mcakerecipe.atlas = "images/inventoryimages/mcake.xml"
GLOBAL.STRINGS.NAMES.MCAKE = "Cake"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MCAKE = "It's not lie!"
GLOBAL.STRINGS.RECIPE_DESC.MCAKE = "Great sweetly cake."
-- prepare for mgunpowder
local mgunpowderrecipe = GLOBAL.Recipe("mgunpowder", {GLOBAL.Ingredient("bird_egg", 1), GLOBAL.Ingredient("charcoal", 1), GLOBAL.Ingredient("nitre", 1)}, GLOBAL.RECIPETABS.SCIENCE,  GLOBAL.TECH.SCIENCE_TWO)
mgunpowderrecipe.image = "gunpowder.tex"
GLOBAL.STRINGS.NAMES.MGUNPOWDER = "Gunpowder"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MGUNPOWDER = "It's gunpowder."
GLOBAL.STRINGS.RECIPE_DESC.MGUNPOWDER = "DO NOT EAT!"
local sugarrecipe = GLOBAL.Recipe("msugar", {GLOBAL.Ingredient("cutreeds", 1)}, GLOBAL.RECIPETABS.FARM,  GLOBAL.TECH.SCIENCE_ONE)
sugarrecipe.atlas = "images/inventoryimages/msugar.xml"
GLOBAL.STRINGS.NAMES.MSUGAR = "Sugar"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MSUGAR = "sweety."
GLOBAL.STRINGS.RECIPE_DESC.MSUGAR = "Sweet white sugar."

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name

-- Let the game know Wod is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "lmm")

AddModCharacter("lmm")

