local assets=
{
	Asset("ANIM", "anim/msugr.zip"),
	Asset("IMAGE", "images/inventoryimages/msugar.tex"),
	Asset("ATLAS", "images/inventoryimages/msugar.xml")
}

local prefabs =
{
	"spoiled_food",
}
local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBuild("msugr")
    anim:SetBank("honey")
    anim:PlayAnimation("idle")
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = TUNING.HEALING_TINY
    --inst.components.edible.hungervalue = TUNING.CALORIES_HUGE
	--inst.components.edible.sanityvalue = TUNING.SANITY_MEDLARGE
	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("tradable")

    inst:AddComponent("inspectable")
    
	--inst:AddComponent("perishable")
	--inst.components.perishable:SetPerishTime(TUNING.PERISH_SUPERSLOW)
	--inst.components.perishable:StartPerishing()
	--inst.components.perishable.onperishreplacement = "spoiled_food"
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/msugar.xml"
    
    return inst
end

return Prefab( "common/inventory/msugar", fn, assets, prefabs) 
